﻿// Copyright (c) Microsoft Open Technologies, Inc. All rights reserved. See License.txt in the project root for license information.

namespace Microsoft.Data.Entity.Design.Extensibility
{
    /// <summary>Exposes methods for customizing the generation of .edmx files.</summary>
    public interface IModelGenerationExtension
    {
        /// <summary>Defines custom functionality that is executed after an .edmx file has been generated by the Entity Data Model Wizard.</summary>
        /// <param name="context">Provides file and project information.</param>
        void OnAfterModelGenerated(ModelGenerationExtensionContext context);

        /// <summary>Defines functionality that is executed after an .edmx file has been updated by the Update Model Wizard.</summary>
        /// <param name="context">Provides file and project information.</param>
        void OnAfterModelUpdated(UpdateModelExtensionContext context);
    }
}
